/*****************************************************************************
 * $Source: /expand6/cvsroot/charm/src/Common/libs/conv-libs/lrpc/lrpc.h,v $
 * $Author: milind $
 * $Date: 2000/03/02 11:36:55 $
 * $Revision: 1.2 $
 *****************************************************************************/

#include "converse.h"

struct Arg {
  int size;
  char data[4];
};

typedef CmiHandler lrpc_handler;

void lrpc_init(void);
int register_lrpc(lrpc_handler func);
void lrpc(int node, int funcnum, int prio, int stksiz, void *in, void *out);
void quick_lrpc(int node, int funcnum, void *in, void *out);
void async_lrpc(int node, int funcnum, void *in);
